package Bencher::ScenarioR::Accessors::ClassStartup;

our $VERSION = 0.13; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors => 0.0039,
        mod_overhead_time => 193.4,
        participant => "Perl::Examples::Accessors::Moops",
        samples => 20,
        time => 200,
        vs_slowest => 1,
      },
      {
        errors => 0.0014,
        mod_overhead_time => 203.4,
        participant => "Perl::Examples::Accessors::Moose",
        samples => 20,
        time => 210,
        vs_slowest => 1.1,
      },
      {
        errors => 0.0029,
        mod_overhead_time => 63.4,
        participant => "Perl::Examples::Accessors::Moo",
        samples => 20,
        time => 70,
        vs_slowest => 3,
      },
      {
        errors => 0.0021,
        mod_overhead_time => 53.4,
        participant => "Perl::Examples::Accessors::EvoClass",
        samples => 21,
        time => 60,
        vs_slowest => 4,
      },
      {
        errors => 0.00053,
        mod_overhead_time => 33.4,
        participant => "Perl::Examples::Accessors::Mouse",
        samples => 20,
        time => 40,
        vs_slowest => 6,
      },
      {
        errors => 0.00062,
        mod_overhead_time => 23.4,
        participant => "Perl::Examples::Accessors::Moos",
        samples => 22,
        time => 30,
        vs_slowest => 8,
      },
      {
        errors => 0.00091,
        mod_overhead_time => 23.4,
        participant => "Perl::Examples::Accessors::ClassXSAccessorArray",
        samples => 20,
        time => 30,
        vs_slowest => 9,
      },
      {
        errors => 0.00043,
        mod_overhead_time => 13.4,
        participant => "Perl::Examples::Accessors::MojoBase",
        samples => 22,
        time => 20,
        vs_slowest => 10,
      },
      {
        errors => 0.00056,
        mod_overhead_time => 13.4,
        participant => "Perl::Examples::Accessors::ClassAccessor",
        samples => 20,
        time => 20,
        vs_slowest => 10,
      },
      {
        errors => 4.9e-05,
        mod_overhead_time => 14.4,
        participant => "Perl::Examples::Accessors::ClassInsideOut",
        samples => 22,
        time => 21,
        vs_slowest => 12,
      },
      {
        errors => 5e-05,
        mod_overhead_time => 11.4,
        participant => "Perl::Examples::Accessors::ClassTiny",
        samples => 20,
        time => 18,
        vs_slowest => 13,
      },
      {
        errors => 0.00025,
        mod_overhead_time => 13.4,
        participant => "Perl::Examples::Accessors::ClassXSAccessor",
        samples => 20,
        time => 20,
        vs_slowest => 10,
      },
      {
        errors => 7.5e-05,
        mod_overhead_time => 10.4,
        participant => "Perl::Examples::Accessors::ClassStruct",
        samples => 20,
        time => 17,
        vs_slowest => 14,
      },
      {
        errors => 8.2e-05,
        mod_overhead_time => 9.4,
        participant => "Perl::Examples::Accessors::ObjectSimple",
        samples => 20,
        time => 16,
        vs_slowest => 15,
      },
      {
        errors => 8e-05,
        mod_overhead_time => 8.4,
        participant => "Perl::Examples::Accessors::ObjectTinyRWXS",
        samples => 20,
        time => 15,
        vs_slowest => 15,
      },
      {
        errors => 1.6e-05,
        mod_overhead_time => 8.4,
        participant => "Perl::Examples::Accessors::ObjectTinyXS",
        samples => 20,
        time => 15,
        vs_slowest => 16,
      },
      {
        errors => 0.0004,
        mod_overhead_time => 3.4,
        participant => "Perl::Examples::Accessors::SimpleAccessor",
        samples => 21,
        time => 10,
        vs_slowest => 20,
      },
      {
        errors => 0.00035,
        mod_overhead_time => 3.4,
        participant => "Perl::Examples::Accessors::ObjectTiny",
        samples => 21,
        time => 10,
        vs_slowest => 20,
      },
      {
        errors => 1.3e-05,
        mod_overhead_time => 4.4,
        participant => "Perl::Examples::Accessors::MojoBaseXS",
        samples => 20,
        time => 11,
        vs_slowest => 22,
      },
      {
        errors => 6.7e-05,
        mod_overhead_time => 3.4,
        participant => "Perl::Examples::Accessors::ClassAccessorArray",
        samples => 20,
        time => 10,
        vs_slowest => 24,
      },
      {
        errors => 4.7e-05,
        mod_overhead_time => 3.1,
        participant => "Perl::Examples::Accessors::Mo",
        samples => 20,
        time => 9.7,
        vs_slowest => 24,
      },
      {
        errors => 0.0002,
        mod_overhead_time => 2.4,
        participant => "Perl::Examples::Accessors::Scalar",
        samples => 20,
        time => 9,
        vs_slowest => 30,
      },
      {
        errors => 1.4e-05,
        mod_overhead_time => 1.3,
        participant => "Perl::Examples::Accessors::ObjectTinyRW",
        samples => 20,
        time => 7.9,
        vs_slowest => 30,
      },
      {
        errors => 3.5e-05,
        mod_overhead_time => 0.9,
        participant => "Perl::Examples::Accessors::Array",
        samples => 20,
        time => 7.5,
        vs_slowest => 32,
      },
      {
        errors => 1.2e-05,
        mod_overhead_time => 0.4,
        participant => "Perl::Examples::Accessors::Hash",
        samples => 21,
        time => 7,
        vs_slowest => 34,
      },
      {
        errors => 1.3e-05,
        mod_overhead_time => 0,
        participant => "perl -e1 (baseline)",
        samples => 20,
        time => 6.6,
        vs_slowest => 36,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "Accessors::ClassStartup",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2100.054,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2200.023,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2200.023,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2199.968,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 23.0474898815155,
      "func.module_startup"            => 1,
      "func.module_versions"           => {
                                            "Bencher::Scenario::Accessors::ClassStartup" => undef,
                                            "Benchmark::Dumb" => "0.10",
                                            "Class::Accessor" => 0.34,
                                            "Class::Accessor::Array" => 0.02,
                                            "Class::InsideOut" => 1.13,
                                            "Class::Struct" => 0.65,
                                            "Class::Tiny" => 1.004,
                                            "Class::XSAccessor" => 1.19,
                                            "Class::XSAccessor::Array" => 1.19,
                                            "Devel::Platform::Info" => 0.16,
                                            "Evo::Class" => undef,
                                            "Mo" => "0.40",
                                            "Mojo::Base" => undef,
                                            "Mojo::Base::XS" => 0.07,
                                            "Moo" => 2.002004,
                                            "Moops" => 0.034,
                                            "Moos" => "0.30",
                                            "Moose" => 2.1805,
                                            "Mouse" => "v2.4.5",
                                            "Object::Simple" => 3.17,
                                            "Object::Tiny" => 1.08,
                                            "Object::Tiny::RW" => 1.07,
                                            "Object::Tiny::RW::XS" => 0.03,
                                            "Object::Tiny::XS" => 1.01,
                                            "perl" => "v5.24.0",
                                            "Perl::Examples::Accessors::Array" => 0.11,
                                            "Perl::Examples::Accessors::ClassAccessor" => 0.11,
                                            "Perl::Examples::Accessors::ClassAccessorArray" => 0.11,
                                            "Perl::Examples::Accessors::ClassInsideOut" => 0.11,
                                            "Perl::Examples::Accessors::ClassStruct" => 0.11,
                                            "Perl::Examples::Accessors::ClassTiny" => 0.11,
                                            "Perl::Examples::Accessors::ClassXSAccessor" => 0.11,
                                            "Perl::Examples::Accessors::ClassXSAccessorArray" => 0.11,
                                            "Perl::Examples::Accessors::EvoClass" => 0.11,
                                            "Perl::Examples::Accessors::Hash" => 0.11,
                                            "Perl::Examples::Accessors::Mo" => 0.11,
                                            "Perl::Examples::Accessors::MojoBase" => 0.11,
                                            "Perl::Examples::Accessors::MojoBaseXS" => 0.11,
                                            "Perl::Examples::Accessors::Moo" => 0.11,
                                            "Perl::Examples::Accessors::Moops" => 0.11,
                                            "Perl::Examples::Accessors::Moos" => 0.11,
                                            "Perl::Examples::Accessors::Moose" => 0.11,
                                            "Perl::Examples::Accessors::Mouse" => 0.11,
                                            "Perl::Examples::Accessors::ObjectSimple" => 0.11,
                                            "Perl::Examples::Accessors::ObjectTiny" => 0.11,
                                            "Perl::Examples::Accessors::ObjectTinyRW" => 0.11,
                                            "Perl::Examples::Accessors::ObjectTinyRWXS" => 0.11,
                                            "Perl::Examples::Accessors::ObjectTinyXS" => 0.11,
                                            "Perl::Examples::Accessors::Scalar" => 0.11,
                                            "Perl::Examples::Accessors::SimpleAccessor" => 0.11,
                                            "Simple::Accessor" => 1.02,
                                            "Sys::Info" => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 25]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::Accessors::ClassStartup",
      "func.scenario_module_md5sum"    => "6fabc0bd1fb65ca7c7fe6f6ba6eddbe4",
      "func.scenario_module_mtime"     => 1473472033,
      "func.scenario_module_sha1sum"   => "9e49211383260a4cd180d04ca81586923477f8d6",
      "func.scenario_module_sha256sum" => "97f5aceb8e2616fe9259463dbd8ab2edba1558acd2dfec6bf44b04520ebf16f5",
      "func.time_end"                  => 1480141027.24386,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1480141004.19637,
      "table.field_aligns"             => ["left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, "ms", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "time",
                                            "mod_overhead_time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark startup of classes using various accessor generators

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

