package Bencher::ScenarioR::Accessors::Construction;

our $VERSION = 0.13; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors => 4.3e-08,
        participant => "Moos",
        rate => 87000,
        samples => 20,
        time => 12,
        vs_slowest => 1,
      },
      {
        errors => 8.1e-09,
        participant => "Class::InsideOut",
        rate => 200000,
        samples => 21,
        time => 4.9,
        vs_slowest => 2.4,
      },
      {
        errors => 6.1e-09,
        participant => "Simple::Accessor",
        rate => 280000,
        samples => 24,
        time => 3.5,
        vs_slowest => 3.3,
      },
      {
        errors => 8.3e-10,
        participant => "Class::Tiny",
        rate => 384000,
        samples => 20,
        time => 2.6,
        vs_slowest => 4.43,
      },
      {
        errors => 7.3e-09,
        participant => "Moose",
        rate => 470000,
        samples => 21,
        time => 2.1,
        vs_slowest => 5.4,
      },
      {
        errors => 7.3e-10,
        participant => "Evo::Class",
        rate => 513000,
        samples => 26,
        time => 1.95,
        vs_slowest => 5.92,
      },
      {
        errors => 3.3e-09,
        participant => "Mo",
        rate => 620000,
        samples => 20,
        time => 1.6,
        vs_slowest => 7.2,
      },
      {
        errors => 1.8e-09,
        participant => "Class::Struct",
        rate => 720000,
        samples => 28,
        time => 1.4,
        vs_slowest => 8.3,
      },
      {
        errors => 1.5e-09,
        participant => "Moops",
        rate => 760000,
        samples => 24,
        time => 1.3,
        vs_slowest => 8.8,
      },
      {
        errors => 3.8e-10,
        participant => "Moo",
        rate => 817000,
        samples => 24,
        time => 1.22,
        vs_slowest => 9.42,
      },
      {
        errors => 0,
        participant => "Class::Accessor",
        rate => 942248,
        samples => 20,
        time => 1.06129,
        vs_slowest => 10.8673,
      },
      {
        errors => 3.8e-09,
        participant => "Mouse",
        rate => 950000,
        samples => 20,
        time => 1.1,
        vs_slowest => 11,
      },
      {
        errors => 2.1e-09,
        participant => "no generator (array-based)",
        rate => 1200000,
        samples => 20,
        time => 0.83,
        vs_slowest => 14,
      },
      {
        errors => 1.7e-09,
        participant => "Object::Simple",
        rate => 1400000,
        samples => 20,
        time => 0.72,
        vs_slowest => 16,
      },
      {
        errors => 1.7e-09,
        participant => "no generator (hash-based)",
        rate => 1400000,
        samples => 20,
        time => 0.7,
        vs_slowest => 16,
      },
      {
        errors => 2.7e-09,
        participant => "Mojo::Base",
        rate => 1400000,
        samples => 20,
        time => 0.7,
        vs_slowest => 17,
      },
      {
        errors => 1.7e-09,
        participant => "Object::Tiny",
        rate => 1500000,
        samples => 20,
        time => 0.67,
        vs_slowest => 17,
      },
      {
        errors => 1e-09,
        participant => "Class::Accessor::Array",
        rate => 1700000,
        samples => 20,
        time => 0.6,
        vs_slowest => 19,
      },
      {
        errors => 1.8e-10,
        participant => "no generator (scalar-based)",
        rate => 1790000,
        samples => 28,
        time => 0.56,
        vs_slowest => 20.6,
      },
      {
        errors => 6.4e-10,
        participant => "Object::Tiny::RW",
        rate => 1800000,
        samples => 23,
        time => 0.54,
        vs_slowest => 21,
      },
      {
        errors => 1.6e-08,
        participant => "Object::Tiny::RW::XS",
        rate => 2000000,
        samples => 23,
        time => 0.5,
        vs_slowest => 20,
      },
      {
        errors => 1e-09,
        participant => "Object::Tiny::XS",
        rate => 2600000,
        samples => 20,
        time => 0.39,
        vs_slowest => 30,
      },
      {
        errors => 2.9e-09,
        participant => "Class::XSAccessor::Array",
        rate => 2700000,
        samples => 27,
        time => 0.37,
        vs_slowest => 31,
      },
      {
        errors => 3.8e-10,
        participant => "Class::XSAccessor",
        rate => 2800000,
        samples => 20,
        time => 0.36,
        vs_slowest => 32,
      },
      {
        errors => 0,
        participant => "Mojo::Base::XS",
        rate => 2846250,
        samples => 20,
        time => 0.351339,
        vs_slowest => 32.8269,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "Accessors::Construction",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 2200.023,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2199.968,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2184.984,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2199.968,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 0.839475154876709,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "Bencher::Scenario::Accessors::Construction" => undef,
                                            "Benchmark::Dumb" => "0.10",
                                            "Class::Accessor" => 0.34,
                                            "Class::Accessor::Array" => 0.02,
                                            "Class::InsideOut" => 1.13,
                                            "Class::Struct" => 0.65,
                                            "Class::Tiny" => 1.004,
                                            "Class::XSAccessor" => 1.19,
                                            "Class::XSAccessor::Array" => 1.19,
                                            "Devel::Platform::Info" => 0.16,
                                            "Evo::Class" => undef,
                                            "Mo" => "0.40",
                                            "Mojo::Base" => undef,
                                            "Mojo::Base::XS" => 0.07,
                                            "Moo" => 2.002004,
                                            "Moops" => 0.034,
                                            "Moos" => "0.30",
                                            "Moose" => 2.1805,
                                            "Mouse" => "v2.4.5",
                                            "Object::Simple" => 3.17,
                                            "Object::Tiny" => 1.08,
                                            "Object::Tiny::RW" => 1.07,
                                            "Object::Tiny::RW::XS" => 0.03,
                                            "Object::Tiny::XS" => 1.01,
                                            "perl" => "v5.24.0",
                                            "Perl::Examples::Accessors" => 0.11,
                                            "Perl::Examples::Accessors::Array" => 0.11,
                                            "Perl::Examples::Accessors::ClassAccessor" => 0.11,
                                            "Perl::Examples::Accessors::ClassAccessorArray" => 0.11,
                                            "Perl::Examples::Accessors::ClassInsideOut" => 0.11,
                                            "Perl::Examples::Accessors::ClassStruct" => 0.11,
                                            "Perl::Examples::Accessors::ClassTiny" => 0.11,
                                            "Perl::Examples::Accessors::ClassXSAccessor" => 0.11,
                                            "Perl::Examples::Accessors::ClassXSAccessorArray" => 0.11,
                                            "Perl::Examples::Accessors::EvoClass" => 0.11,
                                            "Perl::Examples::Accessors::Hash" => 0.11,
                                            "Perl::Examples::Accessors::Mo" => 0.11,
                                            "Perl::Examples::Accessors::MojoBase" => 0.11,
                                            "Perl::Examples::Accessors::MojoBaseXS" => 0.11,
                                            "Perl::Examples::Accessors::Moo" => 0.11,
                                            "Perl::Examples::Accessors::Moops" => 0.11,
                                            "Perl::Examples::Accessors::Moos" => 0.11,
                                            "Perl::Examples::Accessors::Moose" => 0.11,
                                            "Perl::Examples::Accessors::Mouse" => 0.11,
                                            "Perl::Examples::Accessors::ObjectSimple" => 0.11,
                                            "Perl::Examples::Accessors::ObjectTiny" => 0.11,
                                            "Perl::Examples::Accessors::ObjectTinyRW" => 0.11,
                                            "Perl::Examples::Accessors::ObjectTinyRWXS" => 0.11,
                                            "Perl::Examples::Accessors::ObjectTinyXS" => 0.11,
                                            "Perl::Examples::Accessors::Scalar" => 0.11,
                                            "Perl::Examples::Accessors::SimpleAccessor" => 0.11,
                                            "Simple::Accessor" => 1.02,
                                            "Sys::Info" => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 24]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::Accessors::Construction",
      "func.scenario_module_md5sum"    => "bf03e6af3e506f160b6abb13206f3524",
      "func.scenario_module_mtime"     => 1473472033,
      "func.scenario_module_sha1sum"   => "fe054e4d9341bef2436d320bf9748ae03e9afcf3",
      "func.scenario_module_sha256sum" => "5968ae69b1f8c09c9389560cd2948c7041f2c25ef1127405923a12b2008680f9",
      "func.time_end"                  => 1480141028.34684,
      "func.time_factor"               => 1000000,
      "func.time_start"                => 1480141027.50736,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark object construction

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

