package Bencher::ScenarioR::Accessors::Set;

our $VERSION = 0.13; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        errors => 1.7e-09,
        participant => "Simple::Accessor",
        rate => 198000,
        samples => 20,
        time => 5.04,
        vs_slowest => 1,
      },
      {
        errors => 3.9e-10,
        participant => "Class::Accessor",
        rate => 1600000,
        samples => 20,
        time => 0.627,
        vs_slowest => 8.04,
      },
      {
        errors => 2.1e-10,
        participant => "Class::InsideOut",
        rate => 1970000,
        samples => 20,
        time => 0.507,
        vs_slowest => 9.93,
      },
      {
        errors => 1.7e-10,
        participant => "Object::Tiny::RW",
        rate => 2970000,
        samples => 32,
        time => 0.337,
        vs_slowest => 15,
      },
      {
        errors => 8.5e-10,
        participant => "Evo::Class",
        rate => 3200000,
        samples => 20,
        time => 0.31,
        vs_slowest => 16,
      },
      {
        errors => 8.2e-10,
        participant => "Class::Struct",
        rate => 3200000,
        samples => 21,
        time => 0.31,
        vs_slowest => 16,
      },
      {
        errors => 4.2e-10,
        participant => "Class::Tiny",
        rate => 3400000,
        samples => 20,
        time => 0.29,
        vs_slowest => 17,
      },
      {
        errors => 2.1e-10,
        participant => "Moose",
        rate => 3440000,
        samples => 23,
        time => 0.291,
        vs_slowest => 17.3,
      },
      {
        errors => 1.1e-10,
        participant => "Mojo::Base",
        rate => 3550000,
        samples => 20,
        time => 0.282,
        vs_slowest => 17.9,
      },
      {
        errors => 5.1e-10,
        participant => "Object::Simple",
        rate => 4200000,
        samples => 20,
        time => 0.24,
        vs_slowest => 21,
      },
      {
        errors => 3.5e-10,
        participant => "no generator (array-based)",
        rate => 4500000,
        samples => 23,
        time => 0.22,
        vs_slowest => 23,
      },
      {
        errors => 4.3e-10,
        participant => "no generator (hash-based)",
        rate => 4600000,
        samples => 20,
        time => 0.22,
        vs_slowest => 23,
      },
      {
        errors => 4.8e-10,
        participant => "Mo",
        rate => 4800000,
        samples => 29,
        time => 0.21,
        vs_slowest => 24,
      },
      {
        errors => 4.4e-10,
        participant => "Class::Accessor::Array",
        rate => 5400000,
        samples => 20,
        time => 0.18,
        vs_slowest => 27,
      },
      {
        errors => 4.2e-10,
        participant => "Mojo::Base::XS",
        rate => 6600000,
        samples => 20,
        time => 0.15,
        vs_slowest => 33,
      },
      {
        errors => 0,
        participant => "Moos",
        rate => 6772030,
        samples => 20,
        time => 0.147666,
        vs_slowest => 34.135,
      },
      {
        errors => 3.1e-10,
        participant => "Class::XSAccessor",
        rate => 7100000,
        samples => 20,
        time => 0.14,
        vs_slowest => 36,
      },
      {
        errors => 2.3e-10,
        participant => "Moo",
        rate => 8000000,
        samples => 25,
        time => 0.13,
        vs_slowest => 40,
      },
      {
        errors => 3.5e-11,
        participant => "Object::Tiny::RW::XS",
        rate => 8330000,
        samples => 20,
        time => 0.12,
        vs_slowest => 42,
      },
      {
        errors => 1.2e-11,
        participant => "Moops",
        rate => 8629000,
        samples => 20,
        time => 0.1159,
        vs_slowest => 43.49,
      },
      {
        errors => 1.7e-10,
        participant => "Class::XSAccessor::Array",
        rate => 8800000,
        samples => 20,
        time => 0.11,
        vs_slowest => 44,
      },
      {
        errors => 7.3e-10,
        participant => "Mouse",
        rate => 10000000,
        samples => 20,
        time => 0.07,
        vs_slowest => 70,
      },
      {
        errors => 1.1e-10,
        participant => "raw hash access",
        rate => 15000000,
        samples => 20,
        time => 0.067,
        vs_slowest => 75,
      },
      {
        errors => 1.1e-10,
        participant => "raw array access",
        rate => 18000000,
        samples => 20,
        time => 0.056,
        vs_slowest => 91,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "Accessors::Set",
                                          },
      "func.bencher_version"           => undef,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => "2085.890",
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => 2060.789,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 2026.171,
                                              stepping                     => 4,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "pdpe1gb",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "fma",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "movbe",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "f16c",
                                                                                "rdrand",
                                                                                "lahf_lm",
                                                                                "abm",
                                                                                "3dnowprefetch",
                                                                                "ida",
                                                                                "arat",
                                                                                "epb",
                                                                                "pln",
                                                                                "pts",
                                                                                "dtherm",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "fsgsbase",
                                                                                "tsc_adjust",
                                                                                "bmi1",
                                                                                "hle",
                                                                                "avx2",
                                                                                "smep",
                                                                                "bmi2",
                                                                                "erms",
                                                                                "invpcid",
                                                                                "rtm",
                                                                                "rdseed",
                                                                                "adx",
                                                                                "smap",
                                                                                "xsaveopt",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "4096 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 61,
                                              name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                              number_of_cores              => 2,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 2061.335,
                                              stepping                     => 4,
                                            },
                                          ],
      "func.elapsed_time"              => 0.698377132415771,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "Bencher::Scenario::Accessors::Set" => undef,
                                            "Benchmark::Dumb" => "0.10",
                                            "Class::Accessor" => 0.34,
                                            "Class::Accessor::Array" => 0.02,
                                            "Class::InsideOut" => 1.13,
                                            "Class::Struct" => 0.65,
                                            "Class::Tiny" => 1.004,
                                            "Class::XSAccessor" => 1.19,
                                            "Class::XSAccessor::Array" => 1.19,
                                            "Devel::Platform::Info" => 0.16,
                                            "Evo::Class" => undef,
                                            "Mo" => "0.40",
                                            "Mojo::Base" => undef,
                                            "Mojo::Base::XS" => 0.07,
                                            "Moo" => 2.002004,
                                            "Moops" => 0.034,
                                            "Moos" => "0.30",
                                            "Moose" => 2.1805,
                                            "Mouse" => "v2.4.5",
                                            "Object::Simple" => 3.17,
                                            "Object::Tiny" => 1.08,
                                            "Object::Tiny::RW" => 1.07,
                                            "Object::Tiny::RW::XS" => 0.03,
                                            "Object::Tiny::XS" => 1.01,
                                            "perl" => "v5.24.0",
                                            "Perl::Examples::Accessors::Array" => 0.11,
                                            "Perl::Examples::Accessors::ClassAccessor" => 0.11,
                                            "Perl::Examples::Accessors::ClassAccessorArray" => 0.11,
                                            "Perl::Examples::Accessors::ClassInsideOut" => 0.11,
                                            "Perl::Examples::Accessors::ClassStruct" => 0.11,
                                            "Perl::Examples::Accessors::ClassTiny" => 0.11,
                                            "Perl::Examples::Accessors::ClassXSAccessor" => 0.11,
                                            "Perl::Examples::Accessors::ClassXSAccessorArray" => 0.11,
                                            "Perl::Examples::Accessors::EvoClass" => 0.11,
                                            "Perl::Examples::Accessors::Hash" => 0.11,
                                            "Perl::Examples::Accessors::Mo" => 0.11,
                                            "Perl::Examples::Accessors::MojoBase" => 0.11,
                                            "Perl::Examples::Accessors::MojoBaseXS" => 0.11,
                                            "Perl::Examples::Accessors::Moo" => 0.11,
                                            "Perl::Examples::Accessors::Moops" => 0.11,
                                            "Perl::Examples::Accessors::Moos" => 0.11,
                                            "Perl::Examples::Accessors::Moose" => 0.11,
                                            "Perl::Examples::Accessors::Mouse" => 0.11,
                                            "Perl::Examples::Accessors::ObjectSimple" => 0.11,
                                            "Perl::Examples::Accessors::ObjectTinyRW" => 0.11,
                                            "Perl::Examples::Accessors::ObjectTinyRWXS" => 0.11,
                                            "Perl::Examples::Accessors::SimpleAccessor" => 0.11,
                                            "Simple::Accessor" => 1.02,
                                            "Sys::Info" => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 23]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "rosa",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-3.19.0-32-generic",
                                            kname    => "Linux",
                                            kvers    => "3.19.0-32-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 17.3,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                          "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "3.19.0-32-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::Accessors::Set",
      "func.scenario_module_md5sum"    => "651b0164cc7c99f01a495154efcd2d92",
      "func.scenario_module_mtime"     => 1480075844,
      "func.scenario_module_sha1sum"   => "04b532534e4dbeb4059ed136136014e705973784",
      "func.scenario_module_sha256sum" => "57e2384e577a0864ee7a5b36cca5e886c5eb6b028245a2cd7b80d5b8e26b1ab6",
      "func.time_end"                  => 1480141049.45434,
      "func.time_factor"               => 1000000,
      "func.time_start"                => 1480141048.75596,
      "table.field_aligns"             => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"                   => [
                                            "participant",
                                            "dataset",
                                            "rate",
                                            "time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Benchmark attribute write/set

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

